Bug 1721441 - geo-rep: Fix permissions for GEOREP_DIR in non-root setup
Summary: geo-rep: Fix permissions for GEOREP_DIR in non-root setup
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1722331
TreeView+ depends on / blocked
 
Reported: 2019-06-18 10:12 UTC by Sunny Kumar
Modified: 2019-06-20 05:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1722331 (view as bug list)
Environment:
Last Closed: 2019-06-19 03:20:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22890 None Merged geo-rep: Fix permissions for GEOREP_DIR in non-root setup 2019-06-19 03:20:55 UTC

Description Sunny Kumar 2019-06-18 10:12:46 UTC
Description of problem:

While setting up a non-root geo-rep session, we are unable to set appropriate permission for gluster log dir.
 
Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Setup mountbroker
2. validate permission for gluster log dir for permission.


Expected results:

Should set appropriate permission for gluster log dir.

Comment 1 Worker Ant 2019-06-18 11:06:56 UTC
REVIEW: https://review.gluster.org/22890 (geo-rep: Fix permissions for GEOREP_DIR in non-root setup) posted (#1) for review on master by Sunny Kumar

Comment 2 Worker Ant 2019-06-19 03:20:57 UTC
REVIEW: https://review.gluster.org/22890 (geo-rep: Fix permissions for GEOREP_DIR in non-root setup) merged (#2) on master by Kotresh HR


Note You need to log in before you can comment on or make changes to this bug.